import { DataTypes, Model } from "sequelize";
import sequelize from "../database/database";

interface FeedbackAttributes {
  feedback_id: string;
  user_id: string;
  feedback: string;
}

class Feedback extends Model<FeedbackAttributes> implements FeedbackAttributes {
  declare feedback_id: string;
  declare user_id: string;
  declare feedback: string;
}

Feedback.init(
  {
    // Model attributes are defined here
    feedback_id: {
      primaryKey: true,
      type: DataTypes.STRING,
      allowNull: false,
    },
    user_id: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    feedback: {
      type: DataTypes.STRING,
      allowNull: false,
    },
  },
  {
    tableName: "feedback",
    sequelize, // passing the `sequelize` instance is required
    createdAt: "created_at",
    updatedAt: "updated_at",
  }
);

export default Feedback;
