import { DataTypes, Model } from "sequelize";
import sequelize from "../database/database";

/*
  initial created by the calendar backend
*/

interface UserGoogleTokensAttributes {
  user_id: string;
  access_token?: string;
  refresh_token?: string;
  status?: string;
  expiry_date?: Date;
  google_uuid?: string;
  created_at?: Date;
  updated_at?: Date;
}

class UserGoogleTokens
  extends Model<UserGoogleTokensAttributes>
  implements UserGoogleTokensAttributes
{
  declare user_id: string;
  declare access_token: string;
  declare refresh_token: string;
  declare status: string;
  declare expiry_date: Date;
  declare google_uuid: string;
  declare created_at: Date;
  declare updated_at: Date;
}

UserGoogleTokens.init(
  {
    // Model attributes are defined here
    user_id: {
      primaryKey: true,
      type: DataTypes.STRING,
      allowNull: false,
    },
    access_token: {
      type: DataTypes.STRING,
      // allowNull defaults to true
    },
    refresh_token: {
      type: DataTypes.STRING,
      // allowNull defaults to true
    },
    status: {
      type: DataTypes.STRING,
      // allowNull defaults to true
    },
    expiry_date: {
      type: DataTypes.DATE,
      // allowNull defaults to true
    },
    google_uuid: {
      type: DataTypes.STRING,
      // allowNull defaults to true
    },
    created_at: {
      type: DataTypes.DATE,
      // allowNull defaults to true
    },
    updated_at: {
      type: DataTypes.DATE,
      // allowNull defaults to true
    },
  },
  {
    tableName: "user_google_tokens",
    sequelize, // passing the `sequelize` instance is required
    createdAt: "created_at",
    updatedAt: "updated_at",
  }
);

export default UserGoogleTokens;
