import express from "express";
const router = express.Router();

import * as storeServicesController from "../controllers/storeServicesController";
import { sessionProtection } from "../middleware/authMiddleware";

router.get(
  "/:storeId",
  sessionProtection,
  storeServicesController.GetStoreServices
);
router.post(
  "/service",
  sessionProtection,
  storeServicesController.CreateStoreService
);
router.post(
  "/update",
  sessionProtection,
  storeServicesController.UpdateStoreService
);
router.post(
  "/activity",
  sessionProtection,
  storeServicesController.CreateStoreServiceActivity
);
router.get(
  "/activities/:storeId/:serviceId",
  sessionProtection,
  storeServicesController.GetStoreServiceActivities
);
router.post(
  "/activity/update",
  sessionProtection,
  storeServicesController.UpdateStoreServiceActivity
);
router.delete(
  "/activity/:activityId",
  sessionProtection,
  storeServicesController.DeleteStoreServiceActivity
);
router.delete(
  "/:serviceId",
  sessionProtection,
  storeServicesController.DeleteStoreService
);

export default router;
