import express from "express";
const router = express.Router();

import * as usersController from "../controllers/usersController";
import { sessionProtection } from "../middleware/authMiddleware";

router.post("/", sessionProtection, usersController.AddEmployee);
router.get("/:storeId", sessionProtection, usersController.GetEmployees);
router.post("/update", sessionProtection, usersController.UpdateEmployee);
router.delete("/", sessionProtection, usersController.DeleteEmployee);

export default router;
